# DIGITAL TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents

Each field is delimited by space or tab characters.

##

### Examples

#1

    UCX> CONVERT/VMS NETWORK

> Converts a UNIX-formatted /etc/networks database file into an OpenVMS-formatted networks database. The OpenVMS file name of /etc/networks is ETC.NETWORKS in your current directory.

# CONVERT/VMS PROXY

> Populates the existing proxy database with entries from a UNIX /etc/passwd file.

> The name of the proxy database is specified by the logical name UCX$PROXY. If this name is not defined, the command looks for UCX$PROXY.DAT in your current directory.

> Related commands: ADD PROXY, CREATE PROXY

> Applies to: NFS server, NFS client, and PC-NFS.

## Format

> ### CONVERT/VMS PROXY [source_file] [/LOG]

## Restrictions

> Requires:
> - Read and write access to the proxy database.
> - Read access to /etc/passwd.
> - Exclusive use of the proxy database.

## PARAMETERS

> ### source_file

> Optional. Default: ETC.PASSWD in your current directory.

> ASCII file to convert to a UCX proxy database.

## QUALIFIERS

> ### /LOG

> Optional. Default: No display.

> Displays records as they are being processed.

##

### Examples

#1

    UCX> CONVERT/VMS PROXY

> Converts a UNIX-formatted /etc/passwd file to an OpenVMS-formatted proxy database. The OpenVMS file name of /etc/passwd is ETC.PASSWD in your current directory.

# COPY CONFIGURATION

> Copies information in the configuration database from one OpenVMS Cluster node to another. All configuration information is copied clusterwide, with the exception of the following node-specific components:
> - NFS server (SET CONFIGURATION MAP)
> - BIND server
> - SMTP

> If you copy a configuration, modify the following definitions for the destination node:

> - Local host name
>   If you copy communication information, use SET CONFIGURATION/LOCAL.
> - Interface configuration
>   Use SET CONFIGURATION INTERFACE /HOST.

> Related commands: All the SET CONFIGURATION commands

## Format

> ### COPY CONFIGURATION component dest_node [/ON=source_node | /OVERRIDE]

## Restrictions

> - Requires read, write, and delete access to the configuration database.
> - Requires SYSPRV or BYPASS privileges.
> - If you copy all components of the BIND server configuration, requires the /OVERRIDE qualifier, or, specify BIND as the component.

## PARAMETERS

> ### component

> Required.

> Particular software configuration to copy to another node. You can use a wildcard.

> ### dest_node

> Required.

> Node to which you want to copy.

## QUALIFIERS

> ### /ON=source_node

> Optional. Default: The local node.

> Node with the configuration you want to copy to another node.

> ### /OVERRIDE

> Optional. Default: Configuration for the BIND server is not copied if you specify a wildcard.

> Copies the BIND server configuration. (The BIND server software can run on only one cluster node.)

> Not required to copy this configuration if you specify:

>     UCX> COPY CONFIGURATION BIND destination_node

##

### Examples

#1

    UCX> COPY CONFIGURATION SMTP ROBIN

> Copies the SMTP configuration in the configuration database from the local node to node ROBIN in the cluster.

#2

    UCX> COPY CONFIGURATION * WREN

> Copies all the information, except for the BIND server, in the configuration database from the local node to node WREN in the cluster.

#3

    UCX> COPY CONFIGURATION COMMUNICATION DRAKE /ON=MALARD

> Copies the routing information in node MALARD's configuration database to another node in the cluster, DRAKE. The command is issued from node TEAL in the same cluster.

# CREATE BOOTP

> Creates an empty BOOTP database, SYS$COMMON:[SYSEXE]UCX$BOOTP.DAT.

> If the logical name UCX$BOOTP is defined, CREATE BOOTP uses the definition to create the directory and file name for the BOOTP database. If UCX$BOOTP is not defined, the database is created as [current.directory]UCX$BOOTP.DAT.

> Related commands: CONVERT/VMS BOOTP, SET BOOTP

## Format

> ### CREATE BOOTP

## Restrictions

> Requires write access to SYS$COMMON:[SYSEXE] directory.

##

### Examples

#1

    UCX> CREATE BOOTP

> Creates the empty database SYS$COMMON:[SYSEXE]UCX$BOOTP.DAT.

# CREATE CONFIGURATION

> Creates an empty configuration database.

> If the logical name UCX$CONFIGURATION is defined, CREATE CONFIGURATION uses the definition to create the directory and file name for the configuration database. If UCX$CONFIGURATION is not defined, the database is created as SYS$COMMON:[SYSEXE]UCX$CONFIGURATION.DAT.

## Format

> ### CREATE CONFIGURATION

## Restrictions

> - Requires write access to the directory with the configuration database.
> - Do not execute this command unless you intend to reconfigure your entire cluster.

##

### Examples

#1

    UCX> CREATE CONFIGURATION

> Creates the empty database SYS$COMMON:[SYSEXE]UCX$CONFIGURATION.DAT.

# CREATE CONTAINER

> Creates a UNIX-style file system with:
> - An empty OpenVMS-style root directory
> - An empty local directory that corresponds to the UNIX root directory
> - A container file in the OpenVMS-style root directory

> Applies to: NFS server

## Format

> ### CREATE CONTAINER device:directory [ /HOST=host | /[NO]LOG | /OWNER=[uic] | /ROOT_MODE=n | /SIZE=option=value | /UID=n | /USER_NAME=vms_user_name]

## Restrictions

> Requires:
> - Read and write access to the specified directory.
> - SYSPRV or BYPASS privileges.

## PARAMETERS

> ### device:directory

> Required.

> Device and directory of the UNIX-style container.

## QUALIFIERS

> ### /HOST=host

> Sometimes optional. Default: None.

> If the proxy database has multiple entries with the same user name and UID, selects the specified record.

> Required to access an entry in the proxy database that lacks a unique UID, user name, and host combination. Otherwise, this qualifier is optional.

> ### /LOG

> ### /NOLOG

> Optional. Default: Displays host, UID, GID, and user name.

> Displays a full description of the specified proxy database record for you to determine ownership (see /USER_NAME).

> ### /OWNER=[uic]

> Optional. Default: UIC in the proxy database that corresponds to a UID of 0 and a GID of 1.

> OpenVMS ownership of the container file directory and container file.

> (The other files in this directory are owned by the OpenVMS users whose proxy database entries correspond to the UNIX owner UIDs of the individual files.)

> ### /ROOT_MODE=n

> Optional. Default: 755 (provides the following protection for owner, group, and world: rwx-rx-rx).

> UNIX-style protection of the default container files: root directory, bit map, and superblock.

> Specify octal values in the following order: for user, for group, for others. The values are:

> - 0 --- No access
> - 1 --- Execute access
> - 2 --- Write access
> - 3 --- Write and execute access
> - 4 --- Read access
> - 5 --- Read and execute access
> - 6 --- Read and write access
> - 7 --- Read, write, and execute access

> For example, /ROOT_MODE=751 provides:

> User | Read, write, and execute access | 7 | rwx
> Group | Read and execute access | 5 | rx
> Other | Execute access | 1 | x

> ### /SIZE=option=value

> Optional. Default: /SIZE=(INITIAL=8917,EXTEND=160,MAXIMUM=0).

> The following file size attributes:

> - INITIAL
>   Initial size, in OpenVMS blocks, of the container. Maximum value: 8917.
> - EXTEND
>   When an extension is necessary, the number of blocks by which the container is extended. Maximum supported value: 8192

>   > Note

>   > Using large values might impact system performance and disk usage. In most cases, the default is sufficient.

> - MAXIMUM
>   Maximum size of the container.
>   Value = 0 means the size of the container file can increase without limits.

> ### /UID=n

> Optional.

> Entry in the proxy database that determines the ownership of the container root directory.

> In the proxy database:

> - UID and GID fields establish the root directory's UNIX identity.
> - User name field provides the OpenVMS ownership.

> The /HOST qualifier is required to access an entry in the proxy database that lacks a unique UID, user name, and host combination.

> You can use the /UID qualifier in any combination with /HOST and
> /USER_NAME.

> ### /USER_NAME=vms_user_name

> Optional. Default: GID=1 and UID=0.

> UID and GID in the proxy database that owns the container root directory.

> If the /USER_NAME for the UID of 0 and GID of 1 is SYSTEM, SYSTEM owns the container file and its root directory.

> With no proxy entry for the UID of 0, CREATE CONTAINER fails.

##

### Examples

#1

    UCX> CREATE CONTAINER DUCK$4:[DUCKLING]

> Creates container directory DUCK$4:[DUCKLING].

# CREATE DIRECTORY

> Creates a directory within an existing UNIX-style container.

> Related commands: DIRECTORY, REMOVE DIRECTORY

> Applies to: NFS server

## Format

> ### CREATE DIRECTORY "/path/name" [/HOST=host | /[NO]LOG | /MODE=n | /UID=n | /USER_NAME=vms_user_name]

## Restrictions

> - Requires read and write access to the parent directory.
> - Specifying /USER_NAME with a name other than your own requires SYSPRV or BYPASS privileges.
> - The container file system must be mapped with the MAP command.

## PARAMETERS

> ### "/path/name"

> Required.

> Name of the created directory.

## QUALIFIERS

> ### /HOST=host

> Optional. Default: Uses the first user name found.

> If the proxy database has multiple entries with the same user name and UID combination, the value of /HOST determines the specified record.

> ### /LOG

> ### /NOLOG

> Optional. Default: Displays values for host, UID, GID, and user name.

> Displays a full description of the specified proxy database record for you to determine ownership (see /USER_NAME).

> ### /MODE=n

> Optional. Default: 755 (provides the following protection for owner, group, and world: rwx-rx-rx).

> UNIX-style protection of the new directory.

> Specify octal values in the following order: for user, for group, for others. The values are:

> - 0 --- No access
> - 1 --- Execute access
> - 2 --- Write access
> - 3 --- Write and execute access
> - 4 --- Read access
> - 5 --- Read and execute access
> - 6 --- Read and write access
> - 7 --- Read, write, and execute access

> For example, /MODE=751 provides:

> User | Read, write, and execute access | 7 | rwx
> Group | Read and execute access | 5 | rx
> Other | Execute access | 1 | x

> ### /UID=n

> Optional. Default: None.

> Entry in the proxy database that determines, if necessary, the ownership of the container root directory.

> In the proxy database:

> - UID and GID fields determine the root directory's UNIX identity.
> - User name field determines the OpenVMS ownership.

> Required to access an entry in the proxy database that lacks a unique UID, user name, and host combination.

> You can use /UID with the /HOST and /USER_NAME qualifiers. If you do not have SYSPRV or BYPASS privileges, the values you specify must correspond to the values for your user name in the proxy database.

> ### /USER_NAME=vms_user_name

> Optional. Default: UID=0 and GID=1 (if you have SYSPRV or BYPASS privileges).

> Selects an entry in the proxy database and creates the UID, GID, and OpenVMS UIC for the directory files.

> To select a user name that has a UIC different than the UIC of the process running the management program, you need SYSPRV or BYPASS privileges.

> You can use /USER_NAME in combination with /HOST and /UID. However, if you do not have SYSPRV or BYPASS privileges, the values you specify must correspond to the values for your user name in the proxy database.

##

### Examples

#1

    UCX> MAP "/user" dua0:[group_a]
    UCX> CREATE DIRECTORY "/user/umbrella.bird"

> Creates a UNIX-style directory for user UMBRELLA called umbrella.bird. In this example, the user UMBRELLA is running the UCX management program from the directory ([UMBRELLA.BIRD]). The UIC for [UMBRELLA] is [340,6] and the UCX$PROXY entry is defined as follows:

> USER | UID | GID | HOST
> --- | --- | --- | ---
> UMBRELLA | 300 | 12 | *
> SYSTEM | 0 | 1 | *

> If UMBRELLA does not have SYSPRV or BYPASS privileges, the directory is created as follows:

> - UID = 300
> - GID = 12
> - UIC = [340,6]

> If UMBRELLA has SYSPRV or BYPASS privileges, the directory is created as follows:

> - UID = 0
> - GID = 1
> - UIC = [SYSTEM]

# CREATE EXPORT

> Creates an empty export database file.

> If the logical name UCX$EXPORT is defined, CREATE EXPORT uses the definition to create the directory and file name for the export database. If UCX$EXPORT is not defined, the database is created as SYS$COMMON:[SYSEXE]UCX$EXPORT.DAT.

> Related commands: ADD EXPORT, SHOW EXPORT

> Applies to: NFS server

## Format

> ### CREATE EXPORT

## Restrictions

> - Requires write access to the directory that holds the export database.
> - Do not execute this command unless you intend to reconfigure your entire cluster.

##

### Examples

#1

    UCX> CREATE EXPORT

> Creates an empty export database.

# CREATE HOST

> Creates a hosts database file with:
> - One entry for LOCALHOST
> - LOCALHOST's alias, localhost
> - LOCALHOST's address, 127.0.0.1

> If the logical name UCX$HOST is defined, CREATE HOST uses the definition to create the directory and file name for the hosts database. If UCX$HOST is not defined, the database is created as SYS$COMMON:[SYSEXE]UCX$HOST.DAT.

> Related commands: SET HOST, SHOW HOST, CONVERT/VMS HOST

## Format

> ### CREATE HOST

## Restrictions

> Requires:
> - Write access to the directory with the hosts database.
> - Read and write access to the hosts database.

> Do not execute this command unless you intend to reconfigure your entire cluster.

##

### Examples

#1

    UCX> CREATE HOST

> Creates a UCX hosts database with one entry for LOCALHOST.

# CREATE NETWORK

> Creates an empty networks database file, giving it a version number of existing_file +1.

> Do not execute this command unless you intend to reconfigure your entire cluster.

> If the logical name UCX$NETWORK is defined, CREATE NETWORK uses the definition to create the directory and file name for the networks database. If UCX$NETWORK is not defined, the database is created as SYS$COMMON:[SYSEXE]UCX$NETWORK.DAT.

> Related commands: SET NETWORK, SHOW NETWORK, CONVERT/VMS NETWORK

## Format

> ### CREATE NETWORK

## Restrictions

> Requires write access to the directory with the networks database.

##

### Examples

#1

    UCX> CREATE NETWORK

> Creates an empty networks database.

# CREATE PROXY

> Creates an empty proxy database file, and gives this file a version number of existing_file +1.

> If the logical name UCX$PROXY is defined, CREATE PROXY uses the definition to create the directory and file name for the proxy database. If UCX$PROXY is not defined, the database is created as SYS$COMMON:[SYSEXE]UCX$PROXY.DAT.

> Related commands: ADD PROXY, SHOW PROXY, CONVERT/VMS PROXY

## Format

> ### CREATE PROXY

## Restrictions

> - Requires write access to the directory with the proxy database.
> - Do not execute this command unless you intend to reconfigure your entire cluster.

##

### Examples

#1

    UCX> CREATE PROXY

> Creates an empty proxy database.

# CREATE ROUTE

> Creates an empty permanent routes database file, giving it a version number of existing_file +1.

> Do not execute this command unless you intend to reconfigure your entire cluster.

> If the logical name UCX$ROUTE is defined, CREATE ROUTE uses the definition to create the directory and file name for the routes database. If UCX$ROUTE is not defined, the database is created as SYS$COMMON:[SYSEXE]UCX$ROUTE.DAT.

> Related commands: SET ROUTE, SHOW ROUTE

> Applies to: Routing

## Format

> ### CREATE ROUTE

## Restrictions

> Requires write access to the directory with the routes database.

# DEFINE COMMUNICATION_CONTROLLER

> Makes communication controllers known to UCX. Use this command to configure a new controller model that you purchased after the latest release of UCX.

> Related commands: LIST COMMUNICATION_CONTROLLER, DELETE COMMUNICATION_CONTROLLER, and all the INTERFACE commands

## Format

> ### DEFINE COMMUNICATION_CONTROLLER controller {/INTERNET_INTERFACE=character * | /TYPE=options * } [/DESCRIPTION=text]

> ### * Required.

## PARAMETERS

> ### controller

> Required.

> OpenVMS device name of the communication controller (as displayed with the DCL SHOW DEVICE command).

> Specify a 2-letter name. For examples of controllers with their corresponding device names, see the LIST COMMUNICATION_CONTROLLER command.

## QUALIFIERS

> ### /DESCRIPTION=text

> Optional. Default: None.

> Any text that identifies the entry. For example, specify the device's name, such as DEFZA or DEUNA.

> You can modify this value.

> ### /INTERNET_INTERFACE=character

> Required.

> First letter of the interface name. If you prefer a standard name, call your DIGITAL support representative. If a standard interface name is not important, you can use any unique alphabetic character.

> ### /TYPE=options

> Required.

> Controller type. You must specify one of the following: Ethernet, FDDI,
> Token_Ring. Only one type at a time is valid.

> To change this definition, you can use the following command line:

>     UCX> DEFINE COMMUNICATION_CONTROLLER controller -
>     _UCX /TYPE=([NO]old_type,new_type)

> The old_type,new_type options are:

> - CLUSTER
>   - The interface can join an internet cluster. To do this, also issue SET INTERFACE /CLUSTER.
>   - You can specify CLUSTER with a controller type, for example, /TYPE=(ETHERNET,CLUSTER).
> - [NO]ETHERNET
> - [NO]FDDI
> - [NO]TOKEN_RING

##

### Examples

#1

    $ UCX DEFINE COMMUNICATION_CONTROLLER XE -
    _$ /INTERNET_INTERFACE=D /TYPE=(ETHERNET,CLUSTER) -
    _$ /DESCRIPTION=DEUNA

> Defines interface D as the OpenVMS device XE.

# DELETE COMMUNICATION_CONTROLLER

> Deletes an entry for a communication controller from a table used for defining new internet interfaces.

> Related commands: DEFINE COMMUNICATION_CONTROLLER, LIST COMMUNICATION_CONTROLLER

## Format

> ### DELETE COMMUNICATION_CONTROLLER [controller] [/[NO]CONFIRM | /INTERNET_INTERFACE=character]

## Restrictions

> Requires OPER privileges.

## PARAMETERS

> ### controller

> Optional. Default: All devices.

> OpenVMS device name of the communication controller (as displayed with the DCL SHOW DEVICE command).

> Specify a 2-letter name that you entered with the DEFINE COMMUNICATION_CONTROLLER command.

## QUALIFIERS

> ### /INTERNET_INTERFACE=character

> Optional. Default: All letters.

> Deletes the specified letter (which represents the first letter of an interface name).

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Default: /CONFIRM if you use a wildcard.

> When the software encounters a problem, it displays a description and solution and then requests confirmation before deleting each record. Enter one of the following:

> - Y to repair the problem
> - N to ignore the problem
> - G to change to NO CONFIRMATION mode

> Example:

>     %UCX-E-ANA_SUP_BADIICGSIZE, Problem: Bad initial inode cell
>     group size: bad_value
>     Solution: Will be replaced by
>     default size: good_value
>             CONFIRM [Y/N/G]:

##

### Examples

#1

    UCX> DELETE COMMUNICATION_CONTROLLER EZ

> Deletes all the entries for the Ethernet controller with device name EZ from the table used to match OpenVMS device names with internet interface names.

#2

    UCX> DELETE COMMUNICATION_CONTROLLER -
    _UCX /INTERNET_INTERFACE=E

> Deletes all the communication controller entries with an internet interface name that begins with the letter E from the table used to match OpenVMS device names with internet interface names.

# DELETE CONTAINER

> Deletes a UCX container file system and all its contents.

> Related commands: CREATE CONTAINER, SHOW CFS

> Applies to: NFS server

## Format

> ### DELETE CONTAINER container_file_system

## Restrictions

> - No wildcards.
> - Requires both read and delete access to the directory.
> - Requires BYPASS privileges.

## PARAMETERS

> ### container_file_system

> Required.

> Device and directory name of the container file (no wildcards).

> The container file has file type .CONTAINER.

##

### Examples

#1

    UCX> DELETE CONTAINER WORK1$:[DOVE.NEST_BUILDING]

> Deletes the container directory WORK1$:[DOVE.NEST_BUILDING] along with the container file, all subdirectories, and files.

# DIRECTORY

> Displays a list of files, along with typical directory information, in a UNIX-style container directory.

> Previous | Next | Contents